Healthy relationships are an essential part of being human, romantic *or* platonic.

# Codependency vs Interdependency

In an *interdependent relationship*, both people can be independent, healthy, human beings.

In an interdependent relationship:
- You're two autonomous individuals who made the choice to have that relationship.
- You find personal fulfillment through your own interests and accomplishments, *as well* as the relationship.
- You love and support one another, and respect boundaries set.

In a *codependent relationship*, one or both individuals in the relationship build an unhealthy reliance on the other person. They start to *need* the other person to be a happy, functioning human. This can lead to subsuming each other, and it can develop into a lack of identity, rage, and frustration. Codependent relationships are not healthy.

Codependent relationships aren't necessarily romantic, they can happen between family members and friends.

Some common signs of codependency include:
- Your sense of self-worth and self-esteem come from outside yourself. Primarily from your parter.
- Your mood, emotions, and decision making ability are governed by the other other person, directly or indirectly.
- You neglect your own personal needs or desires to please and fulfill the needs of your partner.
- Needing to get permission before you make plans with friends, which is different from *noti*

Codependency can happen slowly, over time, without either person realizing it. When you begin a relationship, it's natural to want to spend time together and please the other person. Over time, partners can lose themselves (individuality) in the relationship, and become overly focused and dependent on the other.



<https://psychcentral.com/lib/codependency-vs-interdependency>
## Further reading:
Articles:
- 
